Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: 1 ... 8 9 [10] 11 12 ... 14   Go Down

Author Topic: bs_fantasy_ext (Version 1.4.1 Released - Critical update!)  (Read 226125 times)

0 Members and 1 Guest are viewing this topic.

SNU

  • Anope User
  • Offline Offline
  • Posts: 158
    • http://www.firstclassirc.com
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #225 on: January 11, 2009, 08:50:42 PM »

oh you also removed the german lang file. I thought there is one who made it. would be nice you could wait for final until I germanized it :D


greets.
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #226 on: January 11, 2009, 10:00:07 PM »

Slight typo in "Available" there too.
where?
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

SNU

  • Anope User
  • Offline Offline
  • Posts: 158
    • http://www.firstclassirc.com
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #227 on: January 11, 2009, 10:02:15 PM »

en_us.l

s/Avalable/Available/g  :D
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #228 on: January 11, 2009, 10:06:31 PM »

oh you also removed the german lang file. I thought there is one who made it. would be nice you could wait for final until I germanized it :D

greets.
There never was a German language file.. there was a french which I had to disable because it hasn't been updated and would need to be reformatted to match en_us.l. I think you once thought about doing a german language file before, but I never got to see it  :)


and yeah got the typo now.. were 3 of them  ::)
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

TwinShadow

  • Anope User
  • Offline Offline
  • Posts: 64
    • ShadowHime
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #229 on: January 11, 2009, 10:33:38 PM »

I tested just about every command there were. (except the ones for opers, didn't let me even though I am identified, opered, and a SRA in Anope, but oh well) I didn't see anything major anyway, so I dunno. The !unban one I'm not sure... I wouldn't know exactly how to try and guess a user's IP from it and I don't know how a normal user would be able to get it. That is just me though..
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #230 on: January 11, 2009, 10:49:27 PM »

Regarding oper commands, check the INSTALL file: there are 6 or so configuration directives that can be copied to services.conf and uncommented or changed. The ones affecting oper commands are EnOperCmds and SAdminOverride. Documentation is provided with each directive.

As for !unban, basically you could set a ban on *!*@1* *!*@2* ... *!*@9* and then do !unban <nick>. Services would then remove the bans matching that user so if it removes *!*@8* you would know his IP starts with an 8. And so on.. it s quite a lot of work to do it manually, but I have been told there may be a script that speeds it up a bit. Anyways, bs_fantasy_ext will try to prevent that by only allowing !unban to remove that kinda bans on users who are identified have SET HIDE USERMASK to OFF and where it can track the IP. The module will then limit the number of times !unban can be called on the user so his entire IP can't be determined this way. By default this is turned off though.. that s what the EnUnbanIP configuration directive does. Without it it will only check bans against a users visible host, usually a vhost or a cloacked host.
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Gemster

  • Anope User
  • Offline Offline
  • Posts: 2
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #231 on: January 13, 2009, 01:55:42 PM »

Hi i have tryed to get bs_fantasy_ext-1.1.16 to work for me with no luck :/

I use unrealircd and anope v1.8.0

what i have done:
copyed the bs_fantasy_ext to anope-1.8.0/src/modules
cd to anope-1.8.0
make modules
make install

then on  irc i typed /os modload bs_fantasy_ext
and get this
[13:52] <Global> OperServ: DJ_Gemster2: modload bs_fantasy_ext
[13:52] <Global> Trying to load module [bs_fantasy_ext]
[13:52] <Global> Module loading status: 4 (Module Error, File does not exist)
[13:52] -OperServ- Unable to load module bs_fantasy_ext

I also checked services/modules and there is no bs_fantasy_ext.so file there.

any help would be great, if output of make modules is needed i will paste it here, as there where a few errors and warnings in that.

Thanks
Gemster
« Last Edit: January 13, 2009, 01:57:42 PM by Gemster »
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #232 on: January 13, 2009, 03:39:48 PM »

had you read up a bit, you would have noticed 1.1.16 does not work in anything later then 1.7.21... you would also have noticed I ve posted links to a release candidate of 1.2 which does support anope 1.8.0  ::)
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Gemster

  • Anope User
  • Offline Offline
  • Posts: 2
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #233 on: January 13, 2009, 04:27:13 PM »

Oh sorry Viper i must have missed that post, And thanks i now have 1.2 and its working great.

Thanks again
Gemster
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 :: RC2 Released)
« Reply #234 on: January 13, 2009, 04:42:09 PM »

Oh sorry Viper i must have missed that post, And thanks i now have 1.2 and its working great.
nice to hear..  :)
keep in mind that the 1.2 you are using is an RC, so when the 1.2 final is released I recommend you download it from the modules site and use that one instead.. but keeping things up2date is something we should always do anyways eh  ;D
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
bs_fantasy_ext 1.2.0 RC3
« Reply #235 on: January 26, 2009, 12:27:54 PM »

I was hoping to release the final after RC2, but adding windows support again wasn't as easy as I had hoped + there turned out to be a few bugs left, one of which was fatal on windows so... here is RC3.

Sourcecode: http://vips.hopto.org/~viper/bs_fantasy_ext-1.2.0-RC3.tar.gz
Windows: http://vips.hopto.org/~viper/bs_fantasy_ext-1.2.0-RC3+1.8.0-2005Runtimes.zip

I compiled the windows runtimes against 2005 (I think), so they should work for most people...
Be certain to read the INSTALL file, especially on windows as it s not as simple anymore as copying a .dll...

Note to translators:
Currently the only lang file included is english, as it s the only one up-to-date. If there are no more major problems with this RC, I will be releasing the final very soon (possibly before the end of the week) so if anyone wants a lang file to be included in it, you will have to hurry!
« Last Edit: February 14, 2009, 01:21:39 PM by Viper »
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
bs_fantasy_ext 1.2.0 Release
« Reply #236 on: February 14, 2009, 01:41:33 PM »

I just published 1.2.0 final on the modules site..  :)

I have received no feedback, good or bad, regarding the final RC, so I will assume it functioned properly..  so here s the result: 1.2.0 final.
I didn't receive any language files so english is the only language included at this point..

Ok, so what s changed compared to 1.1.16... quite a lot! Here are the most important ones:
 - New language system with seperate lang files based on anopes own system. The old language tables simply got to big to be easily maintainable..
 - 2 changes making it easier to hide bots in !staff etc: Users on ulined servers will be always excluded and a configuration directive allowing users with +B to be automatically excluded.
 - Fixed several crash bugs, including those in !shun and !set nobot.
 - Fixed possible exploit allowing an attacker to guess a users real IP/host as was discussed in earlier posts and on the modules site. This was already looked at in a 1.1 release, but there were still holes in the system...

The new language system uses seperate language files so the module isn't just a single .so or .dll anymore: it requires the language files which should be automatically installed by the makefiles.
For windows users using the pre-compiled package this means that next to copying the .dll they also need to copy the language file. The .zip has been constructed in such a way that this is done automatically when extracted inside anopes root install dir while retaining the directory structure.

Full Changelog:
Quote
   A  Introduced new language system to replace the cores lang system for modules.
   A  Added configuration directive which when set ignores users with +B. (Unreal & PTlink)
   C  Clients on ulined servers no longer show up in !staff. This eliminates the need
          to add an exemption for every network service.
   C  Clients with usermode +B (bots) no longer show up in !staff. (Unreal & PTlink)
   C  Using !unban on yourself is no longer hindered by EnUnbanIP protections.
   U  Synchronized module code with Anope 1.8.0.
   U  Updated flags.
   U  Updated list of unsupported modules.
   U  Updated !shun syntax to match that of os_shun.
   U  Reworked syntax layout in language files.
   U  Updated INSTALL instructions.
   U  Updated windows makefiles. As of now windows support should be back.
   F  Fixed crashbug in !set nobot.
   F  Fixed several issues found in the core.
   F  Fixed markup codes no longer being loaded properly.
   F  Now unloads languages upon unload and reloads when the config is reloaded.
   F  Fixed wrong syntax messages being send for some !bkick commands.
   F  Fixed crashbug in !unban command when banlist is empty.
   F  Fixed possible though rare exploit in !unban allowing attackers to guess a users'
         real IP if the host did not resolve and no vhost is set.
         Thanks to Namegduf for reporting and providing template patch.
   F  Fixed !unban not protecting masks.
   F  Fixed invalid language string call in !admins. (Reported by Joey.)
   F  Fixed several typos in english language file.
   F  !down now removes modes users shouldn't have.
   F  Botserv bot now replies to !sync instead of ChanServ.
   F  Failing to load the langfiles is no longer fatal to anope.
   F  Fixed crashbug in !shun.   (Reported by midnight_tiger.)

For obvious reasons, updating is highly recommended..
And as of now the 1.1 branch is no longer supported.

The module can be downloaded from the modules site: http://modules.anope.org/viewmod.php?id=61
« Last Edit: February 14, 2009, 01:43:54 PM by Viper »
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #237 on: February 14, 2009, 02:05:13 PM »

Well done Viper, good job!
Logged

katsklaw

  • Guest
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #238 on: February 14, 2009, 02:52:47 PM »

since I know there are changes to the channel struct at the very least, perhaps you can reply with the minimum version required for 1.2.0..
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #239 on: February 14, 2009, 02:59:49 PM »

There is a check for 1.8.0, rev 1899... so the released 1.8.0.
Theoretically it may work with versions as far back as rev. 1456  of the previous svn repository, but with the release of the stable branch, I consider the 1.7 branch dated so won't be supporting it.


Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

TwinShadow

  • Anope User
  • Offline Offline
  • Posts: 64
    • ShadowHime
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #240 on: February 14, 2009, 10:23:24 PM »

Is it me, or does the version still say 1.2.0 RC3? I say that because even though I deleted any trace of the module I can think of, then compiled and installed, the version still reports as the RC3 version. o.O I find that a little odd, since when I have updated the RC versions, those updated fine.
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #241 on: February 14, 2009, 10:28:04 PM »

It shouldn't..  ???
Are you using the .dll or building from source?
I don't actually test the .dll's but the build from sourcecode seems to work fine for me.
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

TwinShadow

  • Anope User
  • Offline Offline
  • Posts: 64
    • ShadowHime
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #242 on: February 15, 2009, 03:19:57 AM »

I don't use a Windows server, so I'm building them on a Linux server. I might try deleting them again during the night probably and trying again. I don't know why it would still show up as RC3 for any reason.
Logged

katsklaw

  • Guest
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #243 on: February 15, 2009, 03:49:21 AM »

There is a check for 1.8.0, rev 1899... so the released 1.8.0.
Theoretically it may work with versions as far back as rev. 1456  of the previous svn repository, but with the release of the stable branch, I consider the 1.7 branch dated so won't be supporting it.

Thanks, I don't know about everyone else .. but I find it frustrating to read up and like a module then download it and play around for a bit trying to figure out why it won't load, only to find that it's not for my version :(

While the mod site says only 1.8.0 is supported .. we both know that supported version and minimum working version are 2 different things ;)
Logged

lolox

  • Anope User
  • Offline Offline
  • Posts: 9
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #244 on: February 22, 2009, 10:17:43 PM »

hi, i have a problem with this module, i have installed the modul cs_autoowner to get a co-owner on my channel.

when the user joins or services restart it works fine, the command !down too

but @ command !up the user becomes no +q mode :( but +a

Quote
|11:13|  »» [~wibax] !down agent00
|11:13|  »» Modes: bitslix sets mode: -qao agent00 agent00 agent00
|11:13|  »» [~wibax] !up agent00
|11:13|  »» Modes: bitslix sets mode: +ao agent00 agent00

how i can fix this?
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #245 on: February 22, 2009, 10:52:58 PM »

the only way to fix that would be to give the co-owner real owner access by giving him the chanserv password and having him ID to chanserv.
cs_autoowner merely creates an illusion of having an autoowner and only gives +q on join or identify.. it fails to give any actual power.

If I ever get around to finishing cs_fop, I ll make it integrate with my other modules, but until then it s not possible, unless the  co-owner module would give actual power.. I think there was a module around that made it so co-owners wouldn't just get +q, but it would make it seem as if they had used /CS ID, with all the power that comes with it. Maybe try one of those. I believe that s how cs_accessfounder works.. though i don't know if it still works on the latest anope releases.
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

lolox

  • Anope User
  • Offline Offline
  • Posts: 9
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #246 on: February 23, 2009, 08:54:29 AM »

hmm, because @ user join cs_autoowner reads the level from the access list and give the mode +q in future its a good idee when bs_fantasy_ext can understand the level 9999 and give +q too :D
Logged

Taylor

  • Contributor
  • *
  • Offline Offline
  • Posts: 100
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #247 on: March 05, 2009, 06:13:59 AM »

I still can't get it to compile :\ Lots of failing in the code.
FreeBSD 4.10-RELEASE
Anope-1.8.0 (1899)

Any suggestions?
Logged
Cronus
irc.cncirc.net
http://CnCIRC.net

TheDevil09

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 4
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #248 on: April 25, 2009, 12:04:14 AM »

When i do make modules i get

make[1]: Entering directory `/home/willas00/anope-1.8.0/src/modules'
Makefile:8: ../Makefile.sub: No such file or directory
make[1]: *** No rule to make target `../Makefile.sub'.  Stop.
make[1]: Leaving directory `/home/willas00/anope-1.8.0/src/modules'
make: *** [modules] Error 2


(Uploaded bs_fantasy_ext module) trying to get this working.
Logged

zEkE

  • Anope User
  • Offline Offline
  • Posts: 34
Re: bs_fantasy_ext (Version 1.2.0 Released)
« Reply #249 on: April 26, 2009, 02:07:43 AM »

`make modules` should be run from anope-1.8.0, not from anope-1.8.0/src/modules
Logged
Pages: 1 ... 8 9 [10] 11 12 ... 14   Go Up